# Get event

`GET /events/{id}`

Base URL: `https://api.viewcy.com/2025_06`

## Parameters

- `expand` (query, string, optional) (example: `stats`)
- `id` (path, string, **required**) (example: `4331323f-633e-48be-a2ef-7960285bcc9f`)

## Responses

### 200 — Returns the event with expanded fields

- `object` (string)
- `id` (string)
- `slug` (string)
- `name` (string)
- `description` (string)
- `status` (string)
- `visibility` (string)
- `accessMode` (string)
- `timezone` (string)
- `locationSetting` (string)
- `featuredVideoUrl` (any)
- `bookText` (string)
- `tags` (array)
- `registrationLimit` (integer)
- `currency` (string)
- `featuredImageUrl` (any)
- `images` (array)
- `theme` (string)
- `seatsEventKey` (string)
- `likeCount` (integer)
- `url` (string)
- `createdAt` (string)
- `updatedAt` (string)
- `location` (object)
  - `object` (string)
  - `id` (string)
  - `name` (string)
  - `address` (string)
  - `city` (string)
  - `state` (string)
  - `stateCode` (string)
  - `country` (string)
  - `zipcode` (string)
  - `lat` (any)
  - `lng` (any)
  - `googlePlaceId` (any)
  - `createdAt` (string)
  - `updatedAt` (string)
  - `url` (string)
- `occurrences` (object)
  - `object` (string)
  - `url` (string)
  - `data` (array)
    Items:
      - `object` (string)
      - `id` (string)
      - `eventId` (string)
      - `startsAt` (string)
      - `endsAt` (string)
      - `canceled` (boolean)
      - `createdAt` (string)
      - `updatedAt` (string)
  - `hasMore` (boolean)
- `tickets` (object)
  - `object` (string)
  - `url` (string)
  - `data` (array)
    Items:
      - `object` (string)
      - `id` (string)
      - `name` (string)
      - `description` (any)
      - `kind` (string)
      - `attendanceType` (string)
      - `visibilityScope` (string)
      - `pricingMode` (string)
      - `price` (number)
      - `fee` (number)
      - `currency` (string)
      - `quantity` (any)
      - `quantityPerOrder` (any)
      - `startsAt` (string)
      - `archived` (boolean)
      - `createdAt` (string)
      - `updatedAt` (string)
  - `hasMore` (boolean)
- `collaborators` (object)
  - `object` (string)
  - `url` (string)
  - `data` (array)
    Items:
      - `object` (string)
      - `id` (string)
      - `name` (string)
      - `type` (string)
      - `avatarUrl` (string)
  - `hasMore` (boolean)
- `stats` (object)
  - `object` (string)
  - `availableCurrencies` (array)
  - `ticketsSold` (integer)
  - `capacity` (integer)
  - `grossRevenue` (number)
  - `netRevenue` (number)
  - `netSalesOnline` (number)
  - `netSalesTerminal` (number)
  - `netSalesCash` (number)
  - `netSalesTapToPay` (number)
  - `stripeFees` (number)
  - `viewcyFees` (number)
  - `refundedAmount` (number)
  - `freeTickets` (integer)
  - `canceledTickets` (integer)
  - `refundedTickets` (integer)
  - `ticketsSoldOnline` (integer)
  - `ticketsSoldTerminal` (integer)
  - `ticketsSoldCash` (integer)
  - `ticketsSoldTapToPay` (integer)
  - `donationsCount` (integer)
  - `donationsAmount` (number)
  - `ticketsStats` (object)
    - `tickets` (array)
      Items:
        - `name` (string)
        - `kind` (string)
        - `ticketsSold` (integer)
        - `ticketsAvailable` (any)
        - `revenue` (integer)
    - `admissionTotals` (object)
      - `ticketsSold` (integer)
      - `revenue` (integer)
    - `addOnTotals` (object)
      - `ticketsSold` (integer)
      - `revenue` (integer)
- `promoters` (object)
  - `object` (string)
  - `data` (array)
    Items:
      - `object` (string)
      - `id` (string)
      - `name` (string)
      - `username` (string)
      - `viewCount` (integer)
      - `revenue` (number)
      - `ticketsSold` (integer)
      - `currency` (string)
  - `hasMore` (boolean)

### 401 — Returns 401

- `object` (string)
- `status` (integer)
- `message` (string)

### 404 — Returns 404 for non-existent event

- `object` (string)
- `status` (integer)
- `message` (string)

---
Full OpenAPI spec: https://developer.viewcy.com/openapi/2025_06_viewcy_api.yaml

Interactive docs: https://developer.viewcy.com/api/get-event
